---
type: api
title: Stop an Entity Engine
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-stopentityengine
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-stopentityengine
products:
  - Kibana
---

# Stop an Entity Engine

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/entity_store/engines/{entityType}/stop`
- `POST` `/s/{space_id}/api/entity_store/engines/{entityType}/stop`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `entityType` (enum)
  The entity type of the engine to stop.
  Values: `user`, `host`, `service`

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Stop a running entity engine, pausing transform processing for the given entity type.

## Response

Successful response

`application/json`

- `stopped` (boolean)
  Whether the engine was successfully stopped.
## Code Examples

#### Console

```console
POST /api/entity_store/engines/{entityType}/stop
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/entity_store/engines/{entityType}/stop"
```

## Response Examples

#### Engine stopped successfully

The engine was successfully stopped and is no longer processing data.

```json
{
  "stopped": true
}
```

